/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */
@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,400,500&display=swap');

/* You can override the default Infima variables here. */
:root {
  --ifm-background-color: white !important;
  --ifm-background-surface-color: white;
  --ifm-menu-color: #242424;
  --ifm-menu-color-active: #242424;
  --ifm-docs-list-link: #4f4f4f;
  --ifm-menu-color-background-active: transparent;
  --ifm-font-base-color: #242424;
  --ifm-heading-base-color: #242424;
  --ifm-contents-border-color: transparent;
  --ifm-menu-sublist-padding-vertical: 5px;
  --ifm-menu-list-link-padding-vertical: 4.5px;
  --ifm-color-primary: #242424;
  --ifm-table-of-contents-item-padding-vertical: 4px;
  --ifm-color-primary-darker: rgb(31, 165, 136);
  --ifm-color-primary-darkest: rgb(26, 136, 112);
  --ifm-color-primary-light: rgb(70, 203, 174);
  --ifm-color-primary-lighter: rgb(102, 212, 189);
  --ifm-color-primary-lightest: rgb(146, 224, 208);
  --ifm-code-font-size: 95%;
  --ifm-contents-link-color: #72B87E;
  --ifm-link-color: #72B87E;
  --ifm-table-of-contents-border-color: #BDBDBD;
  --ifm-light-grey-layout: #828282;
  --ifm-table-of-contents-padding-left: 60px;
  --ifm-container-width: 1400px;
  --ifm-search-input-icon: url('../../static/img/search.svg');
}

.docusaurus-highlight-code-line {
  background-color: rgb(72, 77, 91);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

* {
  font-family: 'Work Sans', serif;
}

#__docusaurus>:nth-child(2){
  /* Margin top for fixed header */
  margin-top: 80px;
}

.ReactModalPortal {
  height: 0;
}

/*
 * Open Raven type styles
 */
h1 {
  font-size: 72px;
  font-weight: 300;
  line-height: 80px;
}

h2 {
  font-size: 60px;
  font-weight: 300;
  line-height: 64px;
}

h3 {
  font-size: 48px;
  font-weight: 300;
  line-height: 60px;
}

h4 {
  font-size: 36px;
  font-weight: 300;
  line-height: 50px;
}

h5 {
  font-size: 32px;
  font-weight: normal;
  line-height: 36px;
}

h6 {
  font-size: 24px;
  line-height: 28px;
}

p {
  font-size: 16px;
  line-height: 26px;
}

/* Docs Sublist styles */
/* Specifically target the first menu item which is assumed to be Home */
.menu > .menu__list > .menu__list-item:first-child > .menu__link,
.menu__link.menu__link--sublist {
  font-size: 18px;
  font-weight: normal;
  padding: var(--ifm-menu-sublist-padding-vertical) var(--ifm-menu-link-padding-horizontal);
}

.menu__link.menu__link--sublist.menu__link--active {
  font-size: 19px;
  font-weight: normal;
}

/* Docs List styles */

.menu .menu__list .menu__list .menu__link {
  font-size: 14px;
  font-weight: normal;
  color: var(--ifm-docs-list-link);
  padding: var(--ifm-menu-list-link-padding-vertical) var(--ifm-menu-link-padding-horizontal);
}

.menu .menu__list .menu__list .menu__link--active {
  font-size: 15px;
  font-weight: normal;
  color: var(--ifm-menu-color);
}

.menu__link--active:not(.menu__link--sublist) {
  font-weight: 500 !important;
}

.menu__link {
  font-weight: normal;
}

/* Docs Sidebar layout */
@media (min-width: 997px) {
  .docPage_node_modules-\@docusaurus-theme-classic-src-theme-DocPage- .docSidebarContainer_node_modules-\@docusaurus-theme-classic-src-theme-DocPage- {
    width: 480px;
  }
  .docSidebarContainer_node_modules-\@docusaurus-theme-classic-src-theme-DocPage- .sidebar_node_modules-\@docusaurus-theme-classic-src-theme-DocSidebar- {
    padding: 50px 90px 50px 90px;
  }
}

/* Tables of contents styles */
.tableOfContents_node_modules-\@docusaurus-theme-classic-src-theme-DocItem- .contents__link {
  font-size: 12px;
  color: var(--ifm-docs-list-link);
}

.tableOfContents_node_modules-\@docusaurus-theme-classic-src-theme-DocItem- .contents__link--active {
  font-weight: 500;
}

.tableOfContents_node_modules-\@docusaurus-theme-classic-src-theme-DocItem- .contents li {
  margin: var(--ifm-table-of-contents-item-padding-vertical);
}

.tableOfContents_node_modules-\@docusaurus-theme-classic-src-theme-DocItem- .contents.contents__left-border {
  border-left-color: var(--ifm-table-of-contents-border-color);
  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 15px;
}


header .docTitle_node_modules-\@docusaurus-theme-classic-src-theme-DocItem- {
  font-size: 32px;
  line-height: 36px;
}

a.hash-link {
  margin-left: -2.5rem;
  padding-right: 2.5rem;
}

.pagination-nav {
  display: none;
}

.main-wrapper {
  margin-top: 80px !important;
}

table tr:nth-child(2n) {
  background-color: #f2f2f2;
}

/* Home page search icon styles */
.search-icon {
  background-image: var(--ifm-search-input-icon);
  height: auto;
  width: 24px;
  cursor: pointer;
  margin-right: 25.4px;
  padding: 8px;
  line-height: 32px;
  background-repeat: no-repeat;
  background-position: center;
}

.home-page__search {
  width: 100%;
}

.algolia-autocomplete {
  width: 100%;
}

.homepage__search {
  display: flex;
  align-items: center;
  padding-top: 22px;
  padding-bottom: 22px;
  margin-bottom: 40px;
  border-bottom: 1px solid var(--ifm-light-grey-layout);
}

.homepage__search-input {
  border: none;
  font-size: 24px;
  width: 100%;
}

.homepage__search-input:focus {
  outline: none;
}

.homepage__search-input::placeholder {
  color: var(--ifm-light-grey-layout);
}

.ds-dropdown-menu {
  width: 100%;
  background: white;
  font-family: 'Work Sans', sans-serif;
}

.ds-dropdown-menu .algolia-docsearch-suggestion {
  color: var(--ifm-light-grey-layout);
}

.ds-dropdown-menu .algolia-docsearch-suggestion--category-header {
  font-size: 14px;
}

.ds-dropdown-menu .algolia-docsearch-suggestion--content {
  color: var(--ifm-font-base-color);
}

.ds-dropdown-menu .algolia-docsearch-suggestion--subcategory-inline {
  display: none;
}
